org.apache.nutch.api.security

## Enum AuthorizationRoleEnum

- java.lang.Object
- - java.lang.Enum<AuthorizationRoleEnum>
  - - org.apache.nutch.api.security.AuthorizationRoleEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AuthorizationRoleEnum>

      public enum AuthorizationRoleEnum
      extends java.lang.Enum<AuthorizationRoleEnum>

  Authorization Roles enum which holds authorization roles for NutchServer REST API. Supported roles are user as `USER` and admin as `USER`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMIN`
    `USER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static AuthorizationRoleEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AuthorizationRoleEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USER

          public static final AuthorizationRoleEnum USER

    - #### ADMIN

          public static final AuthorizationRoleEnum ADMIN

  - ### Method Detail

    - #### values

          public static AuthorizationRoleEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthorizationRoleEnum c : AuthorizationRoleEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthorizationRoleEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<AuthorizationRoleEnum>`

Copyright © 2019 The Apache Software Foundation